<?php

namespace pareviewsh;

/**
 * Interface for issue counters.
 */
interface IssueStatisticsInterface {

  /**
   * Return amount of notices.
   *
   * @return int
   *   Notices count.
   */
  public function getNoticesCount();

  /**
   * Return amount of warnings.
   *
   * @return int
   *   Warnings count.
   */
  public function getWarningsCount();

  /**
   * Return amount of errors.
   *
   * @return int
   *   Errors count.
   */
  public function getErrorsCount();

}
