<?php

namespace pareviewsh;

use \pareviewsh\Pareview;
use \pareviewsh\Utils\Output;

/**
 * Interface for reports.
 *
 * Reports take an instance of PAReview.sh and print the
 * results in the output format they implement.
 */
interface ReportInterface {

  /**
   * Print the results of PAReview.sh.
   *
   * @param \paerviewsh\Pareview $pareview
   *   Pareview.sh instance.
   * @param \pareviewsh\Utils\Output $output
   *   Output handler.
   */
  public function printReport(Pareview $pareview, Output $output);

}
