<?php

namespace pareviewsh\Reports;

use \pareviewsh\Pareview;
use \pareviewsh\ReportInterface;
use \pareviewsh\Utils\Output;

/**
 * Prettified JSON report class for PAReview.sh results.
 */
class JsonPrettyReport implements ReportInterface {

  /**
   * {@inheritdoc}
   */
  public function printReport(Pareview $pareview, Output $output) {
    // PAReview.sh and all checks implement \JsonSerializable. So
    // we just print the serialized parameter.
    $output->write(json_encode($pareview, JSON_PRETTY_PRINT));
  }

}
