<?php

/**
 * @file
 * Utility to find the vendor path.
 */

$vendor_path = '';

// Whether PAReview is the root package.
if (file_exists(__DIR__ . '/vendor/autoload.php')) {
  $vendor_path = __DIR__ . '/vendor';
}
else {
  // Traverse the current directory three levels up
  // and try finding composer's autoload.php.
  $path = realpath(__DIR__ . '/..');
  for ($i = 0; $i <= 3; $i++) {
    if (file_exists($path . '/autoload.php')) {
      $vendor_path = $path;
      break;
    }
    $new_path = realpath($path . '/..');
    if ($new_path == $path) {
      break;
    }
    else {
      $path = $new_path;
    }
  }
}

return $vendor_path;
